Subject: [httpapi] John Scudder's No Objection on draft-ietf-httpapi-linkset-09: (with COMMENT)

From: John Scudder via Datatracker <[email-masked]>
Date: Wed, 06 Apr 2022 13:52:40 -0700

John Scudder has entered the following ballot position for
draft-ietf-httpapi-linkset-09: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/about/groups/iesg/statements/handling-ballot-positions/ 
for more information about how to handle DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-httpapi-linkset/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

# COMMENTS

Thank you for including the “implementation status” section, it provided
helpful context for me. It’s a little regrettable from that point of view that
the section will be removed; in slightly different form it might make a nice
addition to the “use cases” section, making the abstract use cases more
concrete. (I’m not strongly advocating that you make this change, just
mentioning the thought.)

## Section 2

   This specification uses the terms "link context" and "link target" as
   defined in [RFC8288].

Since I’m not a subject area expert, I went to RFC 8288 to find these
definitions. There are none worthy of the name, and this made me sad.  It seems
that “link context” must be a term of art so familiar to those in the know that
they don’t even perceive that it needs definition. This isn’t a flaw in the
present document, but in RFC 8288; still, I’d prefer that the present document
not make the claim that RFC 8288 provides a definition, when it doesn’t. The
statement in §4 that 8288 has an abstract model for a link, seems more accurate.

You could rewrite as “This specification uses the terms “link context” and
“link target” in the same manner RFC 8288 does” and that would work for me.

## Section 4:

      The format defined in Section 4.1 is near identical to the field

Should be “near-identical” or (preferably) “nearly identical”. (Same comment
applies to the first sentence of §4.1.)

      value of the HTTP "Link" header field as specified in Web Linking
      Section 3 of [RFC8288].

While RFC 8288 is indeed titled “Web Linking” this expansion of the title,
juxtaposed with the section number, makes the sentence scan in a misleading
way. I suggest just removing the title of the RFC (so: “… as specified in
Section 3 of [RFC8288]”) or alternately, qualifying the title and adding
parentheses (so: “… as specified in the Web Linking RFC (Section 3 of
[RFC8288])”). My own preference is for the first option.

   As a result, implementers of link sets should strive to make them
   self-contained by following the recommendations provided below.

This is pretty nitty, but I suggest “… strive to make them self-contained by
adhering to the following recommendations.” The point of the rewrite being that
“below” indicates the recommendations could be anywhere in the remainder of the
spec, whereas following means “I’m about to tell you what they are”. The change
to “adhering” is just to avoid the awkwardness of “following… following”.

# NITS

## Section 4.2.4.2:

   *  An internationalized target attribute is represented as a member
      of the link context object with the same name (including the *) of
      the attribute.

Should be “as the attribute” not “of the attribute”.

## Section 4.2.4.3:

   *  An extension target attribute is represented as a member of the
      link target object with the same name of the attribute, including
      the * if applicable.

Same as above, should be “as the attribute” not “of the attribute”.

## Appendix A:

   Figure 19 shows the response of an HTTP GET against the URI of a link

“response to”

---

From: Herbert van de Sompel <[email-masked]>
Date: Thu, 7 Apr 2022 07:55:21 +0000

Dear John,

Your feedback has been addressed in https://github.com/ietf-wg-httpapi/linkset/commit/5701b16df49708a2bb4a82c60b5543683b9eb437

Greetings

Herbert

On 6 Apr 2022, at 22:52, John Scudder via Datatracker <[email-masked]<mailto:[email-masked]>> wrote:

# COMMENTS

## Section 2

## Section 4:

# NITS

## Section 4.2.4.2:

## Section 4.2.4.3:

## Appendix A:

“response to”

==================
Herbert Van de Sompel
DANS Fellow
[email-masked]<mailto:[email-masked]>
https://hvdsomp.info
https://orcid.org/0000-0002-0715-6126

Data Archiving and Networked Services (DANS)
DANS bevordert duurzame toegang tot digitale onderzoeksgegevens. Kijk op www.dans.knaw.nl<http://www.dans.knaw.nl> voor meer informatie. DANS is een instituut van KNAW en NWO.

DANS | Anna van Saksenlaan 51 | 2593 HW Den Haag | Postbus 93067 | 2509 AB Den Haag | +31 70 349 44 50| [email-masked]<mailto:[email-masked]> | www.dans.knaw.nl<http://www.dans.knaw.nl>

---

From: Erik Wilde <[email-masked]>
Date: Thu, 7 Apr 2022 10:47:12 +0200

hello all.

On 2022-04-07 09:55, Herbert van de Sompel wrote:
> Your feedback has been addressed in 
> https://github.com/ietf-wg-httpapi/linkset/commit/5701b16df49708a2bb4a82c60b5543683b9eb437 

and in case you want to see the updated version of the entire draft, 
https://github.com/ietf-wg-httpapi/linkset/blob/master/draft-ietf-httpapi-linkset-10.txt 
now has been added to the repo and includes the changes mentioned above.

cheers,

dret.

-- 
erik wilde | mailto:[email-masked] |
            | http://twitter.com/dret    |

---

From: John Scudder <[email-masked]>
Date: Thu, 7 Apr 2022 11:07:12 +0000

Looks good, thanks. One further note:

adhering to the following the recommendations

Should drop the second “the” (so, “adhering to the following recommendations”).

—John

On Apr 7, 2022, at 3:56 AM, Herbert van de Sompel <[email-masked]> wrote:

Dear John,

Your feedback has been addressed in https://github.com/ietf-wg-httpapi/linkset/commit/5701b16df49708a2bb4a82c60b5543683b9eb437<https://urldefense.com/v3/__https://github.com/ietf-wg-httpapi/linkset/commit/5701b16df49708a2bb4a82c60b5543683b9eb437__;!!NEt6yMaO-gk!Us5EGM8CpUxcjaq-wcxyfK6N-A8QKGZ4LeOss-fyQE0Vq60yoK6x_qUCRGJhrg$>

Greetings

Herbert

Please refer to https://www.ietf.org/about/groups/iesg/statements/handling-ballot-positions/<https://urldefense.com/v3/__https://www.ietf.org/about/groups/iesg/statements/handling-ballot-positions/__;!!NEt6yMaO-gk!Us5EGM8CpUxcjaq-wcxyfK6N-A8QKGZ4LeOss-fyQE0Vq60yoK6x_qX3OY4qqA$>
for more information about how to handle DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-httpapi-linkset/<https://urldefense.com/v3/__https://datatracker.ietf.org/doc/draft-ietf-httpapi-linkset/__;!!NEt6yMaO-gk!Us5EGM8CpUxcjaq-wcxyfK6N-A8QKGZ4LeOss-fyQE0Vq60yoK6x_qU8nty-tA$>

# COMMENTS

## Section 2

## Section 4:

# NITS

## Section 4.2.4.2:

## Section 4.2.4.3:

## Appendix A:

“response to”

==================
Herbert Van de Sompel
DANS Fellow
[email-masked]<mailto:[email-masked]>
https://hvdsomp.info<https://urldefense.com/v3/__https://hvdsomp.info__;!!NEt6yMaO-gk!Us5EGM8CpUxcjaq-wcxyfK6N-A8QKGZ4LeOss-fyQE0Vq60yoK6x_qVjRZ556A$>
https://orcid.org/0000-0002-0715-6126<https://urldefense.com/v3/__https://orcid.org/0000-0002-0715-6126__;!!NEt6yMaO-gk!Us5EGM8CpUxcjaq-wcxyfK6N-A8QKGZ4LeOss-fyQE0Vq60yoK6x_qXUwLDUzA$>

Data Archiving and Networked Services (DANS)
DANS bevordert duurzame toegang tot digitale onderzoeksgegevens. Kijk op www.dans.knaw.nl<https://urldefense.com/v3/__http://www.dans.knaw.nl__;!!NEt6yMaO-gk!Us5EGM8CpUxcjaq-wcxyfK6N-A8QKGZ4LeOss-fyQE0Vq60yoK6x_qW7HSBa3Q$> voor meer informatie. DANS is een instituut van KNAW en NWO.

DANS | Anna van Saksenlaan 51 | 2593 HW Den Haag | Postbus 93067 | 2509 AB Den Haag | +31 70 349 44 50| [email-masked]<mailto:[email-masked]> | www.dans.knaw.nl<https://urldefense.com/v3/__http://www.dans.knaw.nl__;!!NEt6yMaO-gk!Us5EGM8CpUxcjaq-wcxyfK6N-A8QKGZ4LeOss-fyQE0Vq60yoK6x_qW7HSBa3Q$>

---

From: Erik Wilde <[email-masked]>
Date: Tue, 12 Apr 2022 09:18:37 +0200

hello john.

> Should drop the second “the” (so, “adhering to the following 

thanks, this was an easy one!

https://github.com/ietf-wg-httpapi/linkset/commit/637b7bd765fc7356cc63d79b6bd1eacda5b315f0

cheers,

dret.